> For the complete documentation index, see [llms.txt](https://developer.harness.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.harness.io/ai-sre/api-reference/deploys.md).

# Deploys

## GET /api/v1/mc/deploys/{deployId}

> Get deploy detail

```json
{"openapi":"3.0.1","info":{"title":"Harness AI SRE API","version":"v1"},"servers":[{"url":"https://app.harness.io/gateway/ir/tp"}],"security":[{}],"paths":{"/api/v1/mc/deploys/{deployId}":{"get":{"tags":["Deploys"],"summary":"Get deploy detail","operationId":"get_deploy","parameters":[{"name":"accountId","in":"query","description":"Harness account identifier.","required":true,"schema":{"minLength":1,"type":"string"}},{"name":"orgId","in":"query","description":"Harness organization identifier.","required":true,"schema":{"minLength":1,"type":"string"}},{"name":"projectId","in":"query","description":"Harness project identifier.","required":true,"schema":{"minLength":1,"type":"string"}},{"name":"deployId","in":"path","description":"Deploy ID, e.g. DEPL-24","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Deploy detail","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeployResponse"}}}},"404":{"description":"Deploy not found"}}}}},"components":{"schemas":{"DeployResponse":{"required":["id","projectId"],"type":"object","properties":{"id":{"type":"string","description":"Deploy id (activity pretty id, e.g. DEPL-24)"},"projectId":{"type":"string"},"title":{"type":"string","description":"Deploy title"},"summary":{"type":"string","description":"Deploy summary"},"status":{"type":"string","description":"Deploy status","enum":["PENDING","IN_PROGRESS","SUCCESS","FAILED","ROLLED_BACK"]},"environments":{"type":"array","description":"Environment labels the deploy targeted (e.g. prod, qa)","items":{"type":"string","description":"Environment labels the deploy targeted (e.g. prod, qa)"}},"buildVersions":{"type":"array","description":"Services and versions included in the deploy","items":{"$ref":"#/components/schemas/BuildVersionInfo"}},"deployTimestamp":{"type":"integer","description":"Epoch timestamp of the deploy (milliseconds)","format":"int64"},"webLink":{"type":"string","description":"Web link to the deploy activity"},"relatedActivities":{"type":"array","description":"Related activities","items":{"$ref":"#/components/schemas/RelatedActivity"}}}},"BuildVersionInfo":{"type":"object","properties":{"service":{"type":"string","description":"Service name"},"version":{"type":"string","description":"Deployed version"},"commitSha":{"type":"string","description":"Commit SHA"},"branch":{"type":"string","description":"Source branch"},"repositoryName":{"type":"string","description":"Build repository name"},"repositoryUrl":{"type":"string","description":"Build repository URL"}},"description":"A service and the version that was deployed"},"RelatedActivity":{"required":["globalId","name","prettyId","templateTypeName","title"],"type":"object","properties":{"name":{"type":"string","description":"Relationship verb (e.g., \"relates to\")"},"templateTypeName":{"type":"string","description":"Template type name","enum":["INCIDENT","ALERT","DEPLOY","CHANGE"]},"prettyId":{"type":"string"},"globalId":{"type":"string"},"title":{"type":"string"}},"description":"Related activities"}}}}
```

## GET /api/v1/mc/deploys

> List deploys

```json
{"openapi":"3.0.1","info":{"title":"Harness AI SRE API","version":"v1"},"servers":[{"url":"https://app.harness.io/gateway/ir/tp"}],"security":[{}],"paths":{"/api/v1/mc/deploys":{"get":{"tags":["Deploys"],"summary":"List deploys","operationId":"list_deploys","parameters":[{"name":"accountId","in":"query","description":"Harness account identifier.","required":true,"schema":{"minLength":1,"type":"string"}},{"name":"orgId","in":"query","description":"Harness organization identifier.","required":true,"schema":{"minLength":1,"type":"string"}},{"name":"projectId","in":"query","description":"Harness project identifier.","required":true,"schema":{"minLength":1,"type":"string"}},{"name":"service","in":"query","description":"Filter by service name (multi-value, OR-combined)","schema":{"type":"array","items":{"type":"string"}}},{"name":"environment","in":"query","description":"Filter by environment label (multi-value, OR-combined)","schema":{"type":"array","items":{"type":"string"}}},{"name":"deployedAfter","in":"query","description":"ISO-8601 inclusive lower bound on deploy time, e.g. 2026-05-01T00:00:00Z","schema":{"type":"string"}},{"name":"deployedBefore","in":"query","description":"ISO-8601 inclusive upper bound on deploy time","schema":{"type":"string"}},{"name":"sortDirection","in":"query","description":"Sort direction on deploy time","schema":{"type":"string","description":"Sort direction","enum":["ASC","DESC"]}},{"name":"pageSize","in":"query","description":"Page size requested","schema":{"type":"integer","format":"int32"}},{"name":"page","in":"query","description":"0-based page number; defaults to 0 (the first page).","schema":{"minimum":0,"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Page of deploys","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OffsetPaginatedResultDeployResponse"}}}}}}}},"components":{"schemas":{"OffsetPaginatedResultDeployResponse":{"type":"object","properties":{"entities":{"type":"array","items":{"$ref":"#/components/schemas/DeployResponse"}},"totalCount":{"type":"integer","format":"int32"}}},"DeployResponse":{"required":["id","projectId"],"type":"object","properties":{"id":{"type":"string","description":"Deploy id (activity pretty id, e.g. DEPL-24)"},"projectId":{"type":"string"},"title":{"type":"string","description":"Deploy title"},"summary":{"type":"string","description":"Deploy summary"},"status":{"type":"string","description":"Deploy status","enum":["PENDING","IN_PROGRESS","SUCCESS","FAILED","ROLLED_BACK"]},"environments":{"type":"array","description":"Environment labels the deploy targeted (e.g. prod, qa)","items":{"type":"string","description":"Environment labels the deploy targeted (e.g. prod, qa)"}},"buildVersions":{"type":"array","description":"Services and versions included in the deploy","items":{"$ref":"#/components/schemas/BuildVersionInfo"}},"deployTimestamp":{"type":"integer","description":"Epoch timestamp of the deploy (milliseconds)","format":"int64"},"webLink":{"type":"string","description":"Web link to the deploy activity"},"relatedActivities":{"type":"array","description":"Related activities","items":{"$ref":"#/components/schemas/RelatedActivity"}}}},"BuildVersionInfo":{"type":"object","properties":{"service":{"type":"string","description":"Service name"},"version":{"type":"string","description":"Deployed version"},"commitSha":{"type":"string","description":"Commit SHA"},"branch":{"type":"string","description":"Source branch"},"repositoryName":{"type":"string","description":"Build repository name"},"repositoryUrl":{"type":"string","description":"Build repository URL"}},"description":"A service and the version that was deployed"},"RelatedActivity":{"required":["globalId","name","prettyId","templateTypeName","title"],"type":"object","properties":{"name":{"type":"string","description":"Relationship verb (e.g., \"relates to\")"},"templateTypeName":{"type":"string","description":"Template type name","enum":["INCIDENT","ALERT","DEPLOY","CHANGE"]},"prettyId":{"type":"string"},"globalId":{"type":"string"},"title":{"type":"string"}},"description":"Related activities"}}}}
```
